## network-manager-applet 0.9.8.0

=== debian/changelog ===
network-manager-applet (0.9.8.0-1ubuntu5.1) saucy-proposed; urgency=low

  * debian/patches/lp330608_dxteam_gsm_connect_text.patch: refresh patch:
    remove some additional g_free() calls that were being made on a const
    string for a NM internal pointer containing the connection ID, which should
    not be freed. Thanks to Jean-Pierre Rupp for the fix. (LP: #1185330)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sun, 01 Dec 2013 09:07:04 -0500

network-manager-applet (0.9.8.0-1ubuntu5) saucy; urgency=low

  * debian/patches/nm-applet-use-indicator.patch:
    - Fix crash when nm-applet quits (LP: #1230148)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Oct 2013 16:35:33 +1300

network-manager-applet (0.9.8.0-1ubuntu4) saucy; urgency=low

  * Update the previous patch to use AutostartCondition, thanks to Tim. This
    fixes nm-applet on gnome-but-not-shell sessions.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 04 Oct 2013 22:40:22 +0100

network-manager-applet (0.9.8.0-1ubuntu3) saucy; urgency=low

  * debian/patches/git_dont_autostart_under_GNOME.patch (LP: #1189309) 

 -- Tim <tim@feathertop.org>  Mon, 02 Sep 2013 14:03:33 +1000

network-manager-applet (0.9.8.0-1ubuntu2) raring; urgency=low

  * debian/control: add docbook-to-man to Build-Depends, missing in the
    previous upload.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Mar 2013 11:47:45 -0500

network-manager-applet (0.9.8.0-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Don't keep a postinst script; we don't need to worry about migration
      from versions prior to 0.9.0.
    - Build-Depend on  dh-translations, libappindicator3-dev.
    - Different Descriptions for libnm-gtk packages.
    - Ship network-manager-gnome-dbg.
    - debian/rules: ship extra icons, use --enable-indicators, export
      translations for Launchpad, provide -dbg package and fail if any files
      are missing from .install files, or not being installed.
    - debian/rules: Rules for daily build in PPA...
    - 12-force-online.patch: don't use this patch, we deal with the online
      state a different way...
    - lp289466_always_show_tray_icon.patch: always show the tray icon, even
      if NM is not running.
    - lp328572-dxteam-connect-text.patch,
      lp330571_dxteam_wired_connect_text.patch,
      lp330608_dxteam_gsm_connect_text.patch: update notification text to be
      prettier.
    - lp341684_device_sensitive_disconnect_notify.patch: show correct
      notification messages for disconnect events, to be in line with the other
      *connect*text patches.
    - lp460144_correctly_update_notification.patch: cleaner notification
      messages, and allow for messages to be updated instead of cleared.
    - applet-wifi-menu-before-vpn.patch: show Create New and Connect to Hidden
      wifi menu items with the other Wifi items, rather than separated by
      the VPN menus.
    - clear-notification-actions.patch: clear notification actions before
      adding new ones, to not append extra "Don't show this again" buttons.
    - key-certificate-extensions.patch: allow for the extra certificate file
      extension ".key".
    - lp829673_gconf_hide_applet.patch: allow for a gsettings key that disables
      ever showing the applet on the notification area.
    - nm-applet-use-indicator.patch: patch to support showing nm-applet as an
      appindicator in Unity.
    - position_dialogs_to_center_of_the_screen.patch: position dialogs to the
      center of the screen.
    - make_menu_items_insensitive_based_on_permissions.patch,
      hide_policy_items_env_var.patch: provide a method to desensitize or hide
      menu items which are useless given the current policykit policy level of
      the user.
    - applet_adhoc_use_wpa_rsn_part1.patch: enable Ad-Hoc using WPA RSN.
    - lp1048516_dont_req_keyring_in_greeter.patch: don't try to load the
      keyring if the user has no permissions to edit their own connections.
    - lp1048520_delay_pin_dialog_in_greeter.patch: only ask for PIN entry when
      a connection is being established rather than when a modem is detected.
    - rebuild_menu_after_init.patch: force a rebuild of the menu to avoid it
      staying empty on login.
  * debian/rules: simulate the behavior of autogen.sh for dh_autoreconf; since
    autogen.sh isn't being shipped by upstream in release tarballs.
  * debian/patches/*: refresh patches.
  * lp328572-dxteam-connect-text.patch,
    lp330571_dxteam_wired_connect_text.patch,
    lp330608_dxteam_gsm_connect_text.patch,
    lp341684_device_sensitive_disconnect_notify.patch: update notification text
    to match the specs on https://wiki.ubuntu.com/Networking.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 07 Mar 2013 15:59:22 -0500

network-manager-applet (0.9.8.0-1) experimental; urgency=low

  * New upstream release.
  * Refresh 11-user-connections.patch.
  * Bump minimum required version of network-manager to (>= 0.9.8).
  * Install man pages provided by upstream instead of our own.
  * Enable gobject introspection support for libnm-gtk. The typelib files are
    shipped in a separate binary package named gir1.2-nmgtk-1.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Feb 2013 03:57:27 +0100
