## network-manager-applet 0.9.8.8

=== debian/changelog ===
network-manager-applet (0.9.8.8-0ubuntu4.5) trusty-security; urgency=medium

  * SECURITY UPDATE: file access from login screen (LP: #1668321)
    - debian/patches/applet-Check-the-user-has-permission-to-modify-befor.patch:
      check permissions before showing dialog in src/applet-device-wifi.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Mar 2017 07:30:10 -0500

network-manager-applet (0.9.8.8-0ubuntu4.4) trusty; urgency=medium

  * Fix VPNs unable to connect before re-login. (LP: #1297849)

 -- Pavel Boldin (davinchi) <boldin.pavel@gmail.com>  Wed, 22 Jul 2015 11:17:38 -0400

network-manager-applet (0.9.8.8-0ubuntu4.3) trusty-proposed; urgency=medium

  * debian/patches/git_revert_system_ca_cert.patch: don't require system CA
    certs to validate the wireless AP certs if the user chooses not to supply
    a certificate. (LP: #1104476)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 07 Jul 2014 11:11:52 -0400

network-manager-applet (0.9.8.8-0ubuntu4.2) trusty-proposed; urgency=medium

  * Bring back Autostart Condition, we don't want nm-applet running in a
    gnome-shell session. (LP: #1315996)

 -- Tim Lunn <tim@feathertop.org>  Wed, 04 Jun 2014 15:14:54 +0200

network-manager-applet (0.9.8.8-0ubuntu4.1) trusty; urgency=medium

  * debian/patches/11-user-connections.patch: updated to fix importing VPN
    connections. (LP: #1294899)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 May 2014 17:14:58 -0400

network-manager-applet (0.9.8.8-0ubuntu4) trusty; urgency=medium

  * debian/control: drop gnome-bluetooth back to a Suggests. (LP: #1307485)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 14 Apr 2014 09:44:10 -0400

network-manager-applet (0.9.8.8-0ubuntu3) trusty; urgency=medium

  * debian/patches/11-user-connections.patch: Allow users with access to modify
    their own connection to create wireless connections without using
    system-wide privileges. (LP: #1116317)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 18 Mar 2014 14:48:18 -0400

network-manager-applet (0.9.8.8-0ubuntu2) trusty; urgency=medium

  * debian/patches/set_atk_relations.patch: Set label relationships in info
    dialogs to better present information to Orca users. (LP: #1266302)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 12 Mar 2014 14:10:29 +1100

network-manager-applet (0.9.8.8-0ubuntu1) trusty; urgency=medium

  * New upstream release. (LP: #1276082)
    - nm-applet: change logging to use g_debug
    - applet: redo the gnome-shell interaction code (LP: #1267100)
    - editor: do not gtk_widget_destroy() dialog on "close" signal
    - nma-bt-device: fix creation of BT settings when creating connection
  * debian/patches/nm-applet-use-indicator.patch: refreshed
  * debian/patches/lp460144_correctly_update_notification.patch: refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Mar 2014 14:14:30 -0500

network-manager-applet (0.9.8.4-1ubuntu3) trusty; urgency=medium

  * Add new patch to move on with enter in the country page of the new mobile
    wizard

 -- Iain Lane <iain.lane@canonical.com>  Wed, 19 Feb 2014 17:30:58 +0000

network-manager-applet (0.9.8.4-1ubuntu2) trusty; urgency=medium

  * debian/rules, debian/control: Enable ModemManager1 support.
  * debian/patches/nm-applet-use-indicator.patch: refresh patch for missing
    update to the get_icon function for "broadband" devices used by MM1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 24 Jan 2014 13:01:48 -0500

network-manager-applet (0.9.8.4-1ubuntu1) trusty; urgency=medium

  * Merge changes from Debian, remaining changes:
    - Don't keep a postinst script; we don't need to worry about migration
      from versions prior to 0.9.0.
    - Build-Depend on dh-translations, libappindicator3-dev, docbook-to-man.
    - Different Descriptions for libnm-gtk packages.
    - debian/rules: ship extra icons, use --enable-indicators, export
      translations for Launchpad and fail if any files are missing from
      .install files, or not being installed.
    - debian/rules: use -delete to remove .la/.a files.
    - No notice about netdev group in README.Debian.
    - 11-user-connections.patch: don't use this patch, keep secrets system-wide
      as meant by upstream.
    - 12-force-online.patch: don't use this patch, we deal with the online
      state a different way...
    - lp289466_always_show_tray_icon.patch: always show the tray icon, even
      if NM is not running.
    - lp328572-dxteam-connect-text.patch,
      lp330571_dxteam_wired_connect_text.patch,
      lp330608_dxteam_gsm_connect_text.patch: update notification text to be
      prettier.
    - lp341684_device_sensitive_disconnect_notify.patch: show correct
      notification messages for disconnect events, to be in line with the other
      *connect*text patches.
    - lp460144_correctly_update_notification.patch: cleaner notification
      messages, and allow for messages to be updated instead of cleared.
    - applet-wifi-menu-before-vpn.patch: show Create New and Connect to Hidden
      wifi menu items with the other Wifi items, rather than separated by
      the VPN menus.
    - clear-notification-actions.patch: clear notification actions before
      adding new ones, to not append extra "Don't show this again" buttons.
    - key-certificate-extensions.patch: allow for the extra certificate file
      extension ".key".
    - lp829673_gconf_hide_applet.patch: allow for a gsettings key that disables
      ever showing the applet on the notification area.
    - nm-applet-use-indicator.patch: patch to support showing nm-applet as an
      appindicator in Unity.
    - position_dialogs_to_center_of_the_screen.patch: position dialogs to the
      center of the screen.
    - make_menu_items_insensitive_based_on_permissions.patch,
      hide_policy_items_env_var.patch: provide a method to desensitize or hide

