=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
@@ -23,6 +23,7 @@
  libnm-glib-dev (>= 0.9.8),
  libnm-glib-vpn-dev (>= 0.9.8),
  network-manager-dev (>= 0.9.8),
+ libmm-glib-dev,
  libgudev-1.0-dev (>= 147),
  libgnome-bluetooth-dev (>= 3.0.0),
  iso-codes,
@@ -30,7 +31,7 @@
  dh-translations,
  libappindicator3-dev,
  gobject-introspection
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager-applet/ubuntu
 Homepage: http://www.gnome.org/projects/NetworkManager/
 
@@ -50,13 +51,13 @@
  notification-daemon,
  gnome-keyring,
  mobile-broadband-provider-info,
- gnome-bluetooth,
  iso-codes
 Suggests:
+ gnome-bluetooth,
  network-manager-openconnect-gnome,
  network-manager-openvpn-gnome,
  network-manager-vpnc-gnome,
- network-manager-pptp-gnome,
+ network-manager-pptp-gnome
 Breaks:
  gnome-bluetooth (<< 3.0)
 Description: network management framework (GNOME frontend)
@@ -73,29 +74,13 @@
  them. For encrypted networks it will prompt the user for the key/passphrase
  and it can optionally store them in the gnome-keyring.
 
-Package: network-manager-gnome-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- network-manager-gnome (= ${binary:Version}) | libnm-gtk0 (= ${binary:Version}),
- ${misc:Depends}
-Description: network management framework (debugging symbols)
- NetworkManager is a system network service that manages your network devices
- and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
- devices, and provides VPN integration with a variety of different VPN
- services.
- .
- This package contains detached debugging symbols.
-
 Package: libnm-gtk0
 Architecture: linux-any
 Section: libs
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libnm-gtk-common (>= ${source:Version})
+ libnm-gtk-common (= ${source:Version})
 Description: network management framework (GNOME dialogs for wifi and mobile)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
