## network-manager-applet 0.9.8.8-0ubuntu4.1-mint1

=== debian/changelog ===
network-manager-applet (0.9.8.8-0ubuntu4.1-mint1) qiana; urgency=medium

  * Revert "libnm-gtk: default to system CA certificates for validation for new connections"

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 May 2014 20:22:24 +0100
