## network-manager-applet 0.9.10.0

=== debian/changelog ===
network-manager-applet (0.9.10.0-2) unstable; urgency=medium

  * Disable bluetooth support. The gnome-bluetooth plugin no longer builds
    with gnome-bluetooth 3.12. But this plugin is really only useful for DUN,
    which with bluez 5 isn't supported (yet) anyways.
    PAN support should still be functional.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Jul 2014 01:31:23 +0200

network-manager-applet (0.9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Drop obsolete --with-gtkver configure switch.
  * Refresh patches.
  * Update symbols file. A few deprecated symbols were dropped which were used
    in older versions of network-manager-gnome, so add a versioned Breaks.
  * Exclude libtool .la files and static libraries from list-missing.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 07:32:44 +0200

network-manager-applet (0.9.8.10-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Tighten Build-Depends on libgnome-bluetooth-dev to (<< 3.11.0).
    The bluetooth widget no longer builds with newer gnome-bluetooth since the
    plugin API was removed.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 May 2014 14:22:42 +0200

network-manager-applet (0.9.8.8-5) unstable; urgency=medium

  * Use valid paths when loading the org.gnome.nm-applet.eap schema.
    We were missing a trailing '/'. Newer glib versions validate the path more
    strictly, leading to an assert.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Apr 2014 17:51:38 +0200

network-manager-applet (0.9.8.8-4) unstable; urgency=medium

  * Drop dbus reload from postinst. The dbus package uses a file trigger
    nowadays to automatically reload its configuration.
  * Use the paths specified in the VPN .name files.
    Since LIBDIR of nm-applet and the VPN plugins aren't necessarily the
    same, use the paths as specified by the VPN plugins and only
    reconstruct the path if it is not absolute or we fail to load the plugin.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Apr 2014 21:41:36 +0200

network-manager-applet (0.9.8.8-3) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Determine gnome-bluetooth plugin directory using libdir from
    gnome-bluetooth-1.0.pc.
  * Convert to multi-arch. Mark libnm-gtk0 as M-A: same, libnm-gtk-common as
    M-A: foreign.
  * Rely on dh v9 to set flags from dpkg-buildflags.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Apr 2014 16:23:05 +0200

network-manager-applet (0.9.8.8-2) unstable; urgency=medium

  * Enable ModemManager1 interface support. (Closes: #711968)

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Mar 2014 16:50:18 +0100

network-manager-applet (0.9.8.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Mar 2014 11:17:48 +0100

network-manager-applet (0.9.6.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.6).
  * Bump Depends on network-manager to (>= 0.9.6).
  * debian/patches/01-fix-crash-in-migration-wizard.patch: Removed, merged
    upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Sep 2012 23:06:31 +0200
