=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               gnome-common,
               intltool,
               libdbus-glib-1-dev (>= 0.74),
               libgnome-keyring-dev,
               libsecret-1-dev,
               libgtk-3-dev (>= 3.4),
               libglib2.0-dev (>= 2.32),
               libgconf2-dev,
               libnotify-dev (>= 0.7),
               libnm-util-dev (>= 0.9.10),
               libnm-glib-dev (>= 0.9.10),
               libnm-glib-vpn-dev (>= 0.9.10),
               network-manager-dev (>= 0.9.10),
               libmm-glib-dev,
               libgudev-1.0-dev (>= 147),
               iso-codes,
               libgirepository1.0-dev,
               gobject-introspection
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager-applet.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager-applet.git;a=summary
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: linux-any
Section: gnome
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk0 (= ${binary:Version}),
         network-manager (>= 0.9.10),
         policykit-1-gnome,
         gnome-icon-theme,
         dbus-x11
Recommends: notification-daemon,
            gnome-keyring,
            mobile-broadband-provider-info,
            iso-codes
Suggests: network-manager-openconnect-gnome,
          network-manager-openvpn-gnome,
          network-manager-vpnc-gnome,
          network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

Package: libnm-gtk0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk-common (= ${source:Version})
Breaks: network-manager-gnome (<< 0.9.10.0)
Description: library for wireless and mobile dialogs
 This library provides Gtk+ dialogs for NetworkManager.

Package: libnm-gtk-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: library for wireless and mobile dialogs - common files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains data files used by libnm-gtk.

Package: libnm-gtk-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk0 (= ${binary:Version}),
         gir1.2-nmgtk-1.0 (= ${binary:Version}),
         network-manager-dev (>= 0.9),
         libnm-util-dev (>= 0.9),
         libnm-glib-dev (>= 0.9),
         libgtk-3-dev,
         libdbus-glib-1-dev
Description: library for wireless and mobile dialogs - development files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains the development files.

Package: gir1.2-nmgtk-1.0
Section: introspection
Architecture: linux-any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libnm-gtk
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains introspection data for libnm-gtk.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
